Phone incompatible?

View previous topic View next topic Go down

Phone incompatible?

Post by Aggroteck on Mon Sep 08, 2014 7:23 pm

Hello everyone, I'm having issues getting Pocket Knights and was hoping someone here might have a solution.

Whenever I try to download Pocket Knights through Google Play it shows that my device is incompatible (HTC Desire 500), what confuses me is that I am able to download/play the other games from the developer, Soul Guardians and Brave Brigade, I'm also able to download and play both Hero Dream and Mini Knights which are basically Pocket Knights but with minimal differences.

Also, on the Pocket Knights Google Play page all it says is; "COMPATIBLE DEVICES Compatible with Android versions 2.2 and up."
I'm running version 4.1.2 so that should not be a problem.

Any help is appreciated.


Aggroteck
Newbie
Newbie

Posts : 1
Join date : 2014-09-08

View user profile

Back to top Go down

View previous topic View next topic Back to top

- Similar topics

 
Permissions in this forum:
You cannot reply to topics in this forum